Bug 26617 - Support Lookup.Provider in Bean Browser
Support Lookup.Provider in Bean Browser
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Inspector
3.x
All All
: P4 (vote)
: 3.x
Assigned To: Jesse Glick
issues@apisupport
:
Depends on: 26275 29851
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-19 16:55 UTC by Jesse Glick
Modified: 2006-02-14 17:46 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2002-08-19 16:55:39 UTC
I.e. instead of or in addition to using reflection
to search for a getCookie method and display a
Cookies subnode for a browsed object, just check
if it implements Lookup.Provider, and if so,
display a LookupNode: like the master one, but
with o.getLookup() rather than Lookup.getDefault().
Comment 1 Jesse Glick 2003-10-17 00:15:21 UTC
committed   * Up-To-Date  1.2        
javahelp/org/netbeans/modules/apisupport/help/beanbrowser-lookup.html
committed   * Up-To-Date  1.15       
javahelp/org/netbeans/modules/apisupport/help/beanbrowser.html
committed   * Up-To-Date  1.6        
src/org/netbeans/modules/apisupport/beanbrowser/CookieClassList.java
removed     * Up-To-Date  1.16       
src/org/netbeans/modules/apisupport/beanbrowser/CookieKids.java
committed   * Up-To-Date  1.7        
src/org/netbeans/modules/apisupport/beanbrowser/LookupNode.java
committed   * Up-To-Date  1.29       
src/org/netbeans/modules/apisupport/beanbrowser/PropSetKids.java
committed   * Up-To-Date  1.46       
src/org/netbeans/modules/apisupport/beanbrowser/WrapperKids.java


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo